Project

General

Profile

Actions

Bug #13587

closed

Zabbix-agent62 install fails

Added by Kris Phillips 3 months ago. Updated about 2 months ago.

Status:
Resolved
Priority:
Normal
Category:
Zabbix
Target version:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Plus Target Version:
Affected Version:
2.7.x
Affected Plus Version:
Affected Architecture:

Description

When installing the Zabbix-agent62 package, it will attempt install Zabbix-agent6 and then fail. Installing zabbix-agent6 works normally. The dependencies for both show zabbix-agent-6.0.9


Files

Actions #1

Updated by aleksei prokofiev 3 months ago

I can confirm this behavior on 2.7 CE
Full output of install

Installing pfSense-pkg-zabbix-agent62...

Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
pfSense-pkg-zabbix-agent62: 1.0.4_12 [pfSense]
zabbix6-agent: 6.0.9 [pfSense]

Number of packages to be installed: 2

The process will require 1 MiB more space.
312 KiB to be downloaded.
[1/2] Fetching pfSense-pkg-zabbix-agent62-1.0.4_12.pkg: .. done
[2/2] Fetching zabbix6-agent-6.0.9.pkg: .......... done
Checking integrity... done (0 conflicting)
[1/2] Installing zabbix6-agent-6.0.9...
===> Creating groups.
Creating group 'zabbix' with gid '122'.
===> Creating users
Creating user 'zabbix' with uid '122'.
[1/2] Extracting zabbix6-agent-6.0.9: ......... done
[2/2] Installing pfSense-pkg-zabbix-agent62-1.0.4_12...
[2/2] Extracting pfSense-pkg-zabbix-agent62-1.0.4_12: ........ done
Saving updated package information...
done.
The zabbix-agent62 package is not installed.

Installation aborted.Removing package...
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock

ERROR!!! An error occurred on pkg execution (rc = 1) with parameters 'delete -y pfSense-pkg-zabbix-agent62':
pkg-static: Cannot get an advisory lock on a database, it is locked by another process

process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock
process with pid 51222 still holds the lock

ERROR!!! An error occurred on pkg execution (rc = 1) with parameters 'autoremove -y':
pkg-static: Cannot get an advisory lock on a database, it is locked by another process

done.
Failed to install package.

Cleaning up cache... done.

Success

Actions #2

Updated by Christian McDonald 3 months ago

  • Status changed from New to Feedback
  • Assignee set to Christian McDonald

This should now be resolved

Actions #3

Updated by Kris Phillips 3 months ago

  • Status changed from Feedback to Confirmed

Christian McDonald wrote in #note-2:

This should now be resolved

Still appears to be an issue. Installation fails:

Installing pfSense-pkg-zabbix-agent62...

Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
pfSense-pkg-zabbix-agent62: 1.0.5 [pfSense]
zabbix62-agent: 6.2.3 [pfSense]

Number of packages to be installed: 2

The process will require 1 MiB more space.
316 KiB to be downloaded.
[1/2] Fetching pfSense-pkg-zabbix-agent62-1.0.5.pkg: .. done
[2/2] Fetching zabbix62-agent-6.2.3.pkg: .......... done
Checking integrity... done (0 conflicting)
[1/2] Installing zabbix62-agent-6.2.3...
===> Creating groups.
Using existing group 'zabbix'.
===> Creating users
Using existing user 'zabbix'.
[1/2] Extracting zabbix62-agent-6.2.3: ......... done
[2/2] Installing pfSense-pkg-zabbix-agent62-1.0.5...
[2/2] Extracting pfSense-pkg-zabbix-agent62-1.0.5: ........ done
Saving updated package information...
done.
The zabbix-agent62 package is not installed.

Installation aborted.Removing package...
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock

ERROR!!! An error occurred on pkg execution (rc = 1) with parameters 'delete -y pfSense-pkg-zabbix-agent62':
pkg-static: Cannot get an advisory lock on a database, it is locked by another process

process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock
process with pid 91708 still holds the lock

ERROR!!! An error occurred on pkg execution (rc = 1) with parameters 'autoremove -y':
pkg-static: Cannot get an advisory lock on a database, it is locked by another process

done.
Failed to install package.

Cleaning up cache... done.

Success

Actions #4

Updated by Tux Powered 3 months ago

Can confirm this issue on the brand-new SG 6100. Errors are a little different, however:
Install initially appears to succeed (green banner and even a "success" at the end right after the error.

>>> Installing pfSense-pkg-zabbix-agent62... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
Checking integrity... done (0 conflicting)
The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
    pfSense-pkg-zabbix-agent62: 1.0.5 [pfSense]
    zabbix62-agent: 6.2.0 [pfSense]

Number of packages to be installed: 2

The process will require 1 MiB more space.
[1/2] Installing zabbix62-agent-6.2.0...
===> Creating groups.
Using existing group 'zabbix'.
===> Creating users
Using existing user 'zabbix'.
[1/2] Extracting zabbix62-agent-6.2.0: ......... done
[2/2] Installing pfSense-pkg-zabbix-agent62-1.0.5...
[2/2] Extracting pfSense-pkg-zabbix-agent62-1.0.5: ........ done
Saving updated package information...
done.
The zabbix-agent62 package is not " .
            "installed.

Installation aborted.The zabbix-agent62 package is not " .
            "installed.

Deletion aborted.done.
Failed to install package.
>>> Cleaning up cache... done.
Success

Actions #5

Updated by Kris Phillips 3 months ago

Tested on November 4th builds of 23.01. Issue still present in this build where it tries to install zabbix-agent62, but it fails.

Actions #6

Updated by Kris Phillips 3 months ago

  • Subject changed from Zabbix-agent62 installs Zabbix-agent6 to Zabbix-agent62 install fails

Updated title for corrected relevance.

Actions #7

Updated by Marcio Gomes 3 months ago

Trying to install on version pfsense 2.6

Installing pfSense-pkg-zabbix-agent62...

Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
Checking integrity... done (0 conflicting)
The following 2 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
pfSense-pkg-zabbix-agent62: 1.0.5 [pfSense]
zabbix62-agent: 6.2.0 [pfSense]

Number of packages to be installed: 2

The process will require 1 MiB more space.
[1/2] Installing zabbix62-agent-6.2.0...
===> Creating groups.
Using existing group 'zabbix'.
===> Creating users
Using existing user 'zabbix'.
[1/2] Extracting zabbix62-agent-6.2.0: ......... done
[2/2] Installing pfSense-pkg-zabbix-agent62-1.0.5...
[2/2] Extracting pfSense-pkg-zabbix-agent62-1.0.5: ........ done
Saving updated package information...
done.
The zabbix-agent62 package is not " .
"installed.

Installation aborted.The zabbix-agent62 package is not " .
"installed.

Deletion aborted.done.
Failed to install package.

Cleaning up cache... done.

Success

Actions #8

Updated by Kris Phillips 2 months ago

This problem is unique to the agent for some reason. zabbix-proxy62 works just fine. Tested again on Nov 18th builds.

Actions #9

Updated by Xavier Roig 2 months ago

Hi, there seems to be an error in the installation, installs "zabbix62-agent" and then search for "zabbix-agent62".

New packages to be INSTALLED:
pfSense-pkg-zabbix-agent62: 1.0.5 [pfSense]
zabbix62-agent : 6.2.0 [pfSense]

Number of packages to be installed: 2

The process will require 1 MiB more space.
[1/2] Installing zabbix62-agent-6.2.0...
===> Creating groups.
Using existing group 'zabbix'.
===> Creating users
Using existing user 'zabbix'.
[1/2] Extracting zabbix62-agent-6.2.0: ......... done
[2/2] Installing pfSense-pkg-zabbix-agent62-1.0.5...
[2/2] Extracting pfSense-pkg-zabbix-agent62-1.0.5: ........ done
Saving updated package information...
done.
The zabbix-agent62 package is not " .
"installed.

Actions #10

Updated by Christopher Cope 2 months ago

  • Status changed from Confirmed to Pull Request Review
Actions #11

Updated by Kris Phillips about 2 months ago

Tested on latest builds in case the above merge request was merged in. It has not.

Actions #12

Updated by Jim Pingle about 2 months ago

  • Status changed from Pull Request Review to Feedback

It's in the tree now on both CE and Plus, CE might even be in current snapshots, Plus tomorrow.

Actions #13

Updated by Christopher Cope about 2 months ago

  • Status changed from Feedback to Resolved

Test version zabbix-agent62 version 1.0.6 on

23.01-DEVELOPMENT (amd64)
built on Mon Dec 05 06:05:03 UTC 2022
FreeBSD 14.0-CURRENT
It installs without error now. Marking resolved.

Actions

Also available in: Atom PDF